# サンプルプロジェクト

<p class="description">A selection of example projects to get started with.</p>

## Official examples

[GitHubリポジトリ](https://github.com/mui-org/material-ui)の[`/examples`](https://github.com/mui-org/material-ui/tree/master/examples)フォルダにいくつかのサンプルプロジェクトを用意しています。

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React AppはReactを学ぶのに良いプロジェクトです。 どのプロジェクトが自分のニーズに最も適しているか知る為に[利用可能な代替案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives)をみてみてください。

このドキュメントサイトのソースコードもリポジトリに含まれています。 少しだけ複雑なプロジェクトです。 [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs)フォルダのビルド手順を確認してください。

## 更に高度なサンプルプロジェクト

より完全で現実的な例から始めたい場合 [プレミアムテーマ & テンプレート](https://material-ui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) をご覧ください:

### Gratuit

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):
    
  - Create React Appによる生成
  - 単一のCLIコマンドで新しいプロジェクトを開始するカスタムCreate React Appスクリプト
  - 公式のFirebase Web Auth UIを使用した認証を含むFirebase用のビルド
  - エラー処理（404）および遅延ロードを含むReact Routerによるルーティング
  - すべてのPWA機能が含まれています（SW、通知、遅延インストールプロンプトなど）
  - 最適化されたスケーラブルなパフォーマンス（すべてLighthouseで最大100ポイント）
- [RMUIF](https://github.com/phoqe/rmuif):
    
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - フルスクリーンダイアログと react-swipeable-viewsによる広範なモバイルサポートタブ用
  - Cross-platform application monitoring with a focus on error reporting with Sentry
- [Material Sense](https://github.com/alexanmtz/material-sense):
    
  - rechartsを用いたグラフ
  - ナビゲーションのサンプルに含まれるReact Router
  - プロダクションビルド用のNginxサーバ含むdockerコンテナ
  - Create React Appによる生成
- [React SaaS Template](https://github.com/dunky11/react-saas-template):
    
  - Create React Appによる生成
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

### 有料

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):
    
  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code