# Aprenda Material-UI

<p class="description">Novo no Material-UI? É fácil de aprender, se você souber por onde começar! Este guia irá ajudá-lo a dar o pontapé inicial.</p>

Desenvolvedores chegam ao Material-UI de diferentes culturas e com diferentes estilos de aprendizagem. Caso você prefira uma abordagem mais teórica ou prática, esperamos que você ache esta seção útil. Como qualquer tecnologia desconhecida, o Material-UI tem uma curva de aprendizagem. Com prática e paciência, você logo vai pegar o jeito.

## Primeiro Exemplo

A [página de uso](/getting-started/usage/#quick-start) contém um pequeno exemplo de Material-UI com um editor interativo. Mesmo que você ainda não saiba nada sobre o Material-UI, tente alterar o código e veja como isso afeta o resultado.

## Projetos de exemplo

Há [alguns projetos de exemplo](/getting-started/example-projects/) disponíveis, fornecendo a infraestrutura necessária para desenvolver e implantar sites em React.

## Modelos

Esta [seleção de modelos básicos](/getting-started/templates/) pode ajudar você a começar a criar o seu aplicativo.

## Recursos recomendados

Ao começar a aprender o Material-UI, você pode encontrar postagens de blogs de terceiros, livros e cursos em vídeo mais úteis do que a documentação oficial. Aqui estão alguns recursos recomendados, uma parte deles é gratuita.

### Grátis

- **Introduction to Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [The videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Customize Material-UI for your project**: a look at how you can customize Material-UI to align with your company identity (design system) and products 
  - 📹 [The videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list. 
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### Pago

- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with Material-UI and React.
  
  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)
- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - 📘 [The book](https://builderbook.org/book)